--- title: "getProductDemandCostByDiscountList" slug: "platform-discount-getproductdemandcostbydiscountlist" updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/platform-discount-getproductdemandcostbydiscountlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getProductDemandCostByDiscountList Available in Classic and VPC View the billing history with the discount reflected. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET, POST | /discount/getProductDemandCostByDiscountList | ### Request headers For headers common to NAVER Cloud Platform, see [Common Ncloud API headers](/docs/en/common-ncpapi#2%ED%97%A4%EB%8D%94%EC%83%9D%EC%84%B1). ### Request query parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `startMonth` | String | Required | Query start month (yyyyMM) - Up to 6 months viewable - 202401 | | `endMonth` | String | Required | Query end month (yyyyMM) - Up to 6 months viewable - 202406 | | `pageNo` | Integer | Optional | Page number | | `pageSize` | Integer | Optional | Page size - 1000 or less (default: 1000) | | `productDemandTypeCodeList.N` | List | Optional | Service billing type code to view - Full billing list response when not entered | | `isOrganization` | Boolean | Optional | Whether to view consolidated usage for organization service accountsAvailable to masters onlyAn error is returned if both `isOrganization` and `isPartner` are `true` | | `isPartner` | Boolean | Optional | Whether to view partner accounts - Available to partner representatives only - An error is returned if both `isOrganization` and `isPartner` are `true` | | `memberNoList` | List | Optional | Member ID list - Only available to master or partner representatives | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://billingapi.apigw.ntruss.com/billing/v1/discount/getProductDemandCostByDiscountList?startMonth=202311&endMonth=202404' \ --header 'x-ncp-apigw-timestamp: {timestamp}' \ --header 'x-ncp-iam-access-key: {access key}' \ --header 'x-ncp-apigw-signature-v2: {signature}' \ ``` ## Response The following describes the response format. ### Response body See [ProductDemandCostByDiscountList](/docs/en/common-vapidatatype-productdemandcostbydiscountlist) for the response body. ### Response status codes For response status codes common to NAVER Cloud Platform, see [Ncloud API response status codes](/docs/en/common-ncpapi#3-%EC%9D%91%EB%8B%B5-%EC%83%81%ED%83%9C-%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` 89b5d61f-****-****-****-fc1289eeb72e 0 success 2 1***9 202212 GDNS Global DNS 0 0 0 60 0 0 690 630 2022-12-14T07:59:53+0900 0 0 1 690 60 9694 test-product-discount 10.0 true 0 true 0 202212 202212 SCMTR Security Monitoring KR GDNS Global DNS COM KRW South Korea Won ```